<?php
/**
* Header Options.
*
* @package OTT Vlogger
*/

$ott_vlogger_default = ott_vlogger_get_default_theme_options();

// Header Section.
$wp_customize->add_section( 'ott_vlogger_social_media_setting',
	array(
	'title'      => esc_html__( 'Social Media Settings', 'ott-vlogger' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
	'panel'      => 'ott_vlogger_theme_option_panel',
	)
);

$wp_customize->add_setting( 'ott_vlogger_header_layout_facebook_link',
    array(
    'default' => $ott_vlogger_default['ott_vlogger_header_layout_facebook_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'ott_vlogger_header_layout_facebook_link',
    array(
    'label'    => esc_html__( 'Facebook Link', 'ott-vlogger' ),
    'section'  => 'ott_vlogger_social_media_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'ott_vlogger_header_layout_twitter_link',
    array(
    'default' => $ott_vlogger_default['ott_vlogger_header_layout_twitter_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'ott_vlogger_header_layout_twitter_link',
    array(
    'label'    => esc_html__( 'Twitter Link', 'ott-vlogger' ),
    'section'  => 'ott_vlogger_social_media_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'ott_vlogger_header_layout_pintrest_link',
    array(
    'default' => $ott_vlogger_default['ott_vlogger_header_layout_pintrest_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'ott_vlogger_header_layout_pintrest_link',
    array(
    'label'    => esc_html__( 'Pintrest Link', 'ott-vlogger' ),
    'section'  => 'ott_vlogger_social_media_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'ott_vlogger_header_layout_instagram_link',
    array(
    'default' => $ott_vlogger_default['ott_vlogger_header_layout_instagram_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'ott_vlogger_header_layout_instagram_link',
    array(
    'label'    => esc_html__( 'Instagram Link', 'ott-vlogger' ),
    'section'  => 'ott_vlogger_social_media_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'ott_vlogger_header_layout_youtube_link',
    array(
    'default' => $ott_vlogger_default['ott_vlogger_header_layout_youtube_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'ott_vlogger_header_layout_youtube_link',
    array(
    'label'    => esc_html__( 'Youtube Link', 'ott-vlogger' ),
    'section'  => 'ott_vlogger_social_media_setting',
    'type'     => 'url',
    )
);